$(document).ready(function () {
    $.ajaxSetup({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        }
    });
    $('#listaPremios').select2();
});

$("#Agregar").click(function (e) { 
    var idpremio = $("#listaPremios").val();
    var nombre = $('select[name="premio"] option:selected').text();
    var cantidad = $("#cantidad").val();
    if(cantidad && cantidad > 0){
        Agregar(idpremio, nombre, cantidad);
    }
    
    e.preventDefault();
    
});
function Agregar(id, nombre, cantidad){
    var tabla = $("#tabla");
    if($("#" + id).length){}else{
        tabla.append(
            '<tr id="'+ id + '">'+
                '<td>' + id + '</td>'+
                '<td>' + nombre + '</td>'+
                '<td>' + cantidad + '</td>'+
                '<td><button class="btn btn-danger fa fa-plus" onclick="eliminar('+ id + ')"></button></td>'+
            '</tr>'
        );
    }
}

function eliminar(id){
    $("#" + id).remove();
}

$("#guardar").click(function (e) { 
    
    var numero = 0;
    var array = new Array();
    $("#tabla tr").each(function (index) {
        var id, cantidad;
        $(this).children("td").each(function (index2) {
            switch (index2) {
                case 0:
                        id = $(this).text();
                        break;
                case 2:
                        cantidad = $(this).text();
                        break;
            }
        });
        array[numero] = [id, cantidad];
        numero++;
    });
    console.log(array);

    var json = JSON.stringify(array);

    $.ajax({
        type: "POST",
        url:baseURL + "/registrarIngreso",
        data: {json: json},
        dataType: "JSON",
        success: function (rs) {
            window.location.href =  baseURL + "/catalogos";
        }
    });
    e.preventDefault();
    
});
